# ContentDividend developer quickstart
curl -s "https://app.contentdividend.com/v1/public/license-catalog?q=landscape%20lighting&limit=10"

curl -sG "https://app.contentdividend.com/v1/public/rights/check" \
  --data-urlencode "resource=https://publisher.example/article" \
  --data-urlencode "use=rag"

curl -s "https://app.contentdividend.com/mcp/publisher/SITE_ID"

curl -s "https://app.contentdividend.com/v1/public/developer/sandbox/run" \
  -H "Content-Type: application/json" \
  -d '{"operation":"catalog.search","arguments":{"q":"lighting","limit":5}}'

# This is a REAL authenticated licensing-intake endpoint, not sandbox.
curl -s "https://app.contentdividend.com/v1/partner/licensing/requests" \
  -H "Authorization: Bearer YOUR_EXISTING_PARTNER_API_KEY" \
  -H "Idempotency-Key: UNIQUE_REQUEST_KEY" \
  -H "Content-Type: application/json" \
  -d '{"site_id":"SITE_ID","buyer_name":"Example Buyer","buyer_email":"buyer@example.com","intended_use":"RAG","requested_scope":"Describe requested content"}'
